package ru.yandex.autotests.directapi.darkside.datacontainers.http.response.json;

import java.util.HashMap;
import java.util.List;

import com.google.gson.annotations.SerializedName;

import ru.yandex.autotests.irt.testutils.json.JsonUtils;

/**
 * Created by hmepas on 27.03.17
 */
public class ClientsCreateResponse {

    @SerializedName("client_id")
    String clientId;

    @SerializedName("manager_uid")
    Long managerUid;

    @SerializedName("agency_uid")
    Long agencyUid;

    @SerializedName("user_uid")
    Long userUid;

    @SerializedName("login")
    String login;

    @SerializedName("password")
    String password;

    public String getClientId() {
        return clientId;
    }

    public void setClientId(String clientId) {
        this.clientId = clientId;
    }

    public Long getManagerUid() {
        return managerUid;
    }

    public void setManagerUid(Long managerUid) {
        this.managerUid = managerUid;
    }

    public Long getAgencyUid() {
        return agencyUid;
    }

    public void setAgencyUid(Long agencyUid) {
        this.agencyUid = agencyUid;
    }

    public Long getUserUid() {
        return userUid;
    }

    public void setUserUid(Long userUid) {
        this.userUid = userUid;
    }

    public String getLogin() {
        return login;
    }

    public void setLogin(String login) {
        this.login = login;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    @Override
    public String toString() {
        return JsonUtils.toString(this);
    }

}
